﻿<Window x:Class="FurnitureStockManager.AddAccessoryWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:FurnitureStockManager"
        mc:Ignorable="d"
        Title="Add new accessory" Height="253.708" Width="267.585">
    <Grid>
        <Grid VerticalAlignment="Top" HorizontalAlignment="Left" Margin="10">
            <Grid.RowDefinitions>
                <RowDefinition Height="40"/>
                <RowDefinition Height="40"/>
                <RowDefinition Height="40"/>
                <RowDefinition Height="40"/>
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="100"/>
                <ColumnDefinition Width="Auto"/>
            </Grid.ColumnDefinitions>
            <Label Grid.Row="0" Grid.Column="0" Content="FurnitureId" HorizontalAlignment="Left" VerticalAlignment="Center"/>
            <Label Grid.Row="0" Grid.Column="1" Content="{Binding FurnitureId}" IsEnabled="False" HorizontalAlignment="Left" Height="23" VerticalAlignment="Center" VerticalContentAlignment="Center"/>

            <Label Grid.Row="1" Grid.Column="0" Content="AccessoryType" HorizontalAlignment="Left" VerticalAlignment="Center"/>
            <ComboBox x:Name="comboBox_AccessoryType" Grid.Row="1" Grid.Column="1" Text="{Binding AccessoryType}" Height="23" VerticalAlignment="Center" VerticalContentAlignment="Center"/>

            <Label Grid.Row="2" Grid.Column="0" Content="Material" HorizontalAlignment="Left" VerticalAlignment="Center"/>
            <ComboBox x:Name="comboBox_Material" Grid.Row="2" Grid.Column="1" Text="{Binding Material}" Height="23" VerticalAlignment="Center" VerticalContentAlignment="Center"/>

            <Label Grid.Row="3" Grid.Column="0" Content="Price" HorizontalAlignment="Left" VerticalAlignment="Center"/>
            <TextBox Grid.Row="3" Grid.Column="1" Text="{Binding Price}" HorizontalAlignment="Left" Height="24" VerticalAlignment="Center" VerticalContentAlignment="Center" Width="60" Margin="0,8"/>
        </Grid>

        <Button Content="Save" Background="Green" Foreground="White" Margin="40,0,0,15" Width="75" Click="Button_Save_Click" Height="20" VerticalAlignment="Bottom" HorizontalAlignment="Left"/>
        <Button Content="Cancel" Background="Red" Margin="0,0,40,15" VerticalAlignment="Bottom" Width="75" Click="Button_Cancel_Click" HorizontalAlignment="Right" />
    </Grid>
</Window>
